Package org.springframework.aop.config

# Class AspectEntry

java.lang.Object
org.springframework.aop.config.AspectEntry

All Implemented Interfaces:
  `org.springframework.beans.factory.parsing.ParseState.Entry`

public class AspectEntry extends Object implements org.springframework.beans.factory.parsing.ParseState.Entry
`ParseState` entry representing an aspect.

Since:
  2.0
Author:
  Mark Fisher, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`AspectEntry(String id, String ref)`
Create a new `AspectEntry` instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AspectEntry

public AspectEntry(String id, String ref)
Create a new `AspectEntry` instance.

Parameters:
  `id` - the id of the aspect element
  `ref` - the bean name referenced by this aspect element

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`